.button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: var(--color-black);
  border: 2px solid var(--color-black);
  border-radius: 0.5rem;
  color: var(--color-white);
  cursor: pointer;
  display: inline-block;
  font-weight: 400;
  line-height: normal;
  padding: var(--size-205) var(--size-4);
  text-align: center;
  text-decoration: none;
  width: 100%;
}
@media (min-width: 580px) {
  .button {
    width: auto;
  }
}
.button:visited {
  color: var(--color-white);
}
.button:hover, .button:focus {
  background-color: var(--color-white);
  color: var(--color-black);
}
.button:active {
  background-color: var(--color-white);
  color: var(--color-black);
}
.button:not([disabled]):focus {
  outline-offset: var(--size-1);
}
.button:disabled {
  background-color: var(--color-black-20);
  color: var(--color-black);
  cursor: default;
  pointer-events: none;
}

.button--unstyled {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: var(--color-black);
  border: 2px solid var(--color-black);
  border-radius: 0.5rem;
  color: var(--color-white);
  cursor: pointer;
  display: inline-block;
  font-weight: 400;
  line-height: normal;
  padding: var(--size-205) var(--size-4);
  text-align: center;
  text-decoration: none;
  width: 100%;
}
@media (min-width: 580px) {
  .button--unstyled {
    width: auto;
  }
}
.button--unstyled:visited {
  color: var(--color-white);
}
.button--unstyled:hover, .button--unstyled:focus {
  background-color: var(--color-white);
  color: var(--color-black);
}
.button--unstyled:active {
  background-color: var(--color-white);
  color: var(--color-black);
}
.button--unstyled:not([disabled]):focus {
  outline-offset: var(--size-1);
}
.button--unstyled:disabled {
  background-color: var(--color-black-20);
  color: var(--color-black);
  cursor: default;
  pointer-events: none;
}
.button--unstyled {
  background-color: transparent;
  border: 0;
  border-radius: 0;
  box-shadow: none;
  color: var(--color-indigo-7);
  font-weight: 400;
  margin: 0;
  padding: 0;
  text-align: left;
}
.button--unstyled:visited {
  color: var(--color-indigo-7);
}
.button--unstyled:hover, .button--unstyled:focus {
  background-color: transparent;
  color: var(--color-indigo-9);
}
.button--unstyled:active {
  background-color: transparent;
  color: var(--color-indigo-9);
}

.button--tertiary {
  background: var(--color-cornflower);
  border-color: var(--color-cornflower);
  border-radius: 0.5rem;
  color: var(--color-white);
  padding: 0.75rem 1.5rem;
}
.button--tertiary:hover {
  background: var(--color-white);
  color: var(--color-cornflower);
}

.button--is-disabled {
  background: var(--color-nobel);
  border-color: var(--color-nobel);
  cursor: not-allowed;
  pointer-events: none;
}